#include <iostream>

int main()
{
    int n, niz[10];
    std::cin >> n;
    for (int i = 0; i < n; i++)
        std::cin >> niz[i];
    if (n == 2)
        std::cout << niz[1] <<" "<< niz[0];
    if (n == 3)
    {
        if (niz[0] > niz[1] && niz[0] > niz[1])
            std::cout << niz[0] <<" "<< niz[2] <<" "<< niz[1];
      
    }
   // system("pause");
  //  return 0;
    
}